# iot服务接口


[TOC]


# 查询最小分精度


## 批量查询最小分精度类型

**接口地址**:`/fjd_period_batch_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "compress": "true/false",
  "points": [
    {
      "data_type": "near max min avg",
      "funcid": 10101,
      "meter": "1001",
      "time_from": "20200101000000",
      "time_period": "15min",
      "time_to": "20200201000000"
    }
  ]
}
```


**请求参数**:


| 参数名称                            | 参数说明                                                  | 请求类型 | 是否必须 | 数据类型   | schema         |
| ----------------------------------- | --------------------------------------------------------- | -------- | -------- | ---------- | -------------- |
| ParamBatch_fjd                      | 注意                                                      | body     | true     | 分精度参数 | 分精度参数     |
| &emsp;&emsp;building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置 |          | false    | string     |                |
| &emsp;&emsp;compress                | 参数：是否压缩                                            |          | false    | string     |                |
| &emsp;&emsp;points                  | 参数：点位数组                                            |          | false    | array      | 分精度点位参数 |
| &emsp;&emsp;&emsp;&emsp;data_type   | 表类型                                                    |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;funcid      | 功能号                                                    |          | false    | integer    |                |
| &emsp;&emsp;&emsp;&emsp;meter       | 仪表编号                                                  |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;time_from   | 开始时间                                                  |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;time_period | 精度                                                      |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;time_to     | 结束时间                                                  |          | false    | string     |                |


**响应状态**:


| 状态码 | 说明         | schema |
| ------ | ------------ | ------ |
| 200    | OK           |        |
| 201    | Created      |        |
| 401    | Unauthorized |        |
| 403    | Forbidden    |        |
| 404    | Not Found    |        |


**响应参数**:


暂无


**响应示例**:

```javascript

```


# 查询分精度


## 查询分精度


**接口地址**:`/fjd_query/{building}/{meter}/{funcid}/{time_period}/{time_from}/{time_to}`


**请求方式**:`GET`


**请求数据类型**:`application/x-www-form-urlencoded`


**响应数据类型**:`*/*`


**接口描述**:


**请求参数**:


| 参数名称    | 参数说明          | 请求类型 | 是否必须 | 数据类型 | schema |
| ----------- | ----------------- | -------- | -------- | -------- | ------ |
| building    | 项目编码-10位数字 | path     | true     | string   |        |
| funcid      | 功能号            | path     | true     | string   |        |
| meter       | 仪表号            | path     | true     | string   |        |
| time_from   | 开始时间          | path     | true     | string   |        |
| time_period | 精度              | path     | true     | string   |        |
| time_to     | 结束时间          | path     | true     | string   |        |


**响应状态**:


| 状态码 | 说明         | schema |
| ------ | ------------ | ------ |
| 200    | OK           |        |
| 401    | Unauthorized |        |
| 403    | Forbidden    |        |
| 404    | Not Found    |        |


**响应参数**:


暂无


**响应示例**:

```javascript

```


## 批量查询分精度


**接口地址**:`/fjd_query_batch_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "compress": "true/false",
  "points": [
    {
      "data_type": "near max min avg",
      "funcid": 10101,
      "meter": "1001",
      "time_from": "20200101000000",
      "time_period": "15min",
      "time_to": "20200201000000"
    }
  ]
}
```


**请求参数**:


| 参数名称                            | 参数说明                                                  | 请求类型 | 是否必须 | 数据类型   | schema         |
| ----------------------------------- | --------------------------------------------------------- | -------- | -------- | ---------- | -------------- |
| ParamBatch_fjd                      | 注意                                                      | body     | true     | 分精度参数 | 分精度参数     |
| &emsp;&emsp;building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置 |          | false    | string     |                |
| &emsp;&emsp;compress                | 参数：是否压缩                                            |          | false    | string     |                |
| &emsp;&emsp;points                  | 参数：点位数组                                            |          | false    | array      | 分精度点位参数 |
| &emsp;&emsp;&emsp;&emsp;data_type   | 表类型                                                    |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;funcid      | 功能号                                                    |          | false    | integer    |                |
| &emsp;&emsp;&emsp;&emsp;meter       | 仪表编号                                                  |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;time_from   | 开始时间                                                  |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;time_period | 精度                                                      |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;time_to     | 结束时间                                                  |          | false    | string     |                |


**响应状态**:


| 状态码 | 说明         | schema |
| ------ | ------------ | ------ |
| 200    | OK           |        |
| 201    | Created      |        |
| 401    | Unauthorized |        |
| 403    | Forbidden    |        |
| 404    | Not Found    |        |


**响应参数**:


暂无


**响应示例**:

```javascript

```


## 批量查询servicedata数据

**接口地址**:`/servicedata_query_batch_post`


**请求方式**:`POST`

**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "compress": "true/false",
  "points": [
    {
      "data_type": "near max min avg",
      "funcid": 10101,
      "meter": "1001",
      "time_from": "20200101000000",
      "time_period": "15min",
      "time_to": "20200201000000"
    }
  ]
}
```


**请求参数**:


| 参数名称                            | 参数说明                                                  | 请求类型 | 是否必须 | 数据类型   | schema         |
| ----------------------------------- | --------------------------------------------------------- | -------- | -------- | ---------- | -------------- |
| ParamBatch_fjd                      | 注意                                                      | body     | true     | 分精度参数 | 分精度参数     |
| &emsp;&emsp;building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置 |          | false    | string     |                |
| &emsp;&emsp;compress                | 参数：是否压缩                                            |          | false    | string     |                |
| &emsp;&emsp;points                  | 参数：点位数组                                            |          | false    | array      | 分精度点位参数 |
| &emsp;&emsp;&emsp;&emsp;data_type   | 表类型                                                    |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;funcid      | 功能号                                                    |          | false    | integer    |                |
| &emsp;&emsp;&emsp;&emsp;meter       | 仪表编号                                                  |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;time_from   | 开始时间                                                  |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;time_period | 精度                                                      |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;time_to     | 结束时间                                                  |          | false    | string     |                |


**响应状态**:


| 状态码 | 说明         | schema |
| ------ | ------------ | ------ |
| 200    | OK           |        |
| 201    | Created      |        |
| 401    | Unauthorized |        |
| 403    | Forbidden    |        |
| 404    | Not Found    |        |


**响应参数**:


暂无


**响应示例**:

```javascript

```


# 异步采集


## 读取点位


**接口地址**:`/pointread/{building}/{meter}/{funcid}`


**请求方式**:`GET`


**请求数据类型**:`application/x-www-form-urlencoded`


**响应数据类型**:`*/*`


**接口描述**:


**请求参数**:


| 参数名称 | 参数说明          | 请求类型 | 是否必须 | 数据类型 | schema |
| -------- | ----------------- | -------- | -------- | -------- | ------ |
| building | 项目编码-10位数字 | path     | true     | string   |        |
| funcid   | 功能号            | path     | true     | string   |        |
| meter    | 仪表号            | path     | true     | string   |        |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


## 读取点位


**接口地址**:`/pointread_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "data": 13.14,
  "endtime": "20201224192034",
  "funcid": 10101,
  "meter": "1001",
  "operation": "pointread/pointset",
  "receivetime": "20201224192034",
  "status": "finish:success",
  "virtual": false
}
```


**请求参数**:


| 参数名称                | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型         | schema           |
| ----------------------- | ------------------------------------------------------------ | -------- | -------- | ---------------- | ---------------- |
| PointSetData            | 注意：参数和返回值共用此类                                   | body     | true     | 点位参数与返回值 | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string           |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number(double)   |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string           |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer(int32)   |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string           |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string           |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string           |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string           |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean          |                  |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 201    | Created      |                  |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


## 批量读取点位


**接口地址**:`/pointreadbatch_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "points": [
    {
      "building": "1101070037",
      "data": 13.14,
      "endtime": "20201224192034",
      "funcid": 10101,
      "meter": "1001",
      "operation": "pointread/pointset",
      "receivetime": "20201224192034",
      "status": "finish:success",
      "virtual": false
    }
  ],
  "receivetime": "20201224192034",
  "status": "finish:success"
}
```


**请求参数**:


| 参数名称                            | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型             | schema               |
| ----------------------------------- | ------------------------------------------------------------ | -------- | -------- | -------------------- | -------------------- |
| PointSetBatchParam                  | 注意：参数和返回值共用此类                                   | body     | true     | 批量点位参数与返回值 | 批量点位参数与返回值 |
| &emsp;&emsp;building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;points                  | 参数：点位数组                                               |          | false    | array                | 点位参数与返回值     |
| &emsp;&emsp;&emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number               |                      |
| &emsp;&emsp;&emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer              |                      |
| &emsp;&emsp;&emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean              |                      |
| &emsp;&emsp;receivetime             | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |


**响应状态**:


| 状态码 | 说明         | schema               |
| ------ | ------------ | -------------------- |
| 200    | OK           | 批量点位参数与返回值 |
| 201    | Created      |                      |
| 401    | Unauthorized |                      |
| 403    | Forbidden    |                      |
| 404    | Not Found    |                      |


**响应参数**:


| 参数名称                | 参数说明                                                     | 类型           | schema           |
| ----------------------- | ------------------------------------------------------------ | -------------- | ---------------- |
| building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| points                  | 参数：点位数组                                               | array          | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         | string         |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 | integer(int32) |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               | string         |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   | string         |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         | string         |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                  |
| receivetime             | 返回值：操作结束时间                                         | string         |                  |
| status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"points": [
		{
			"building": "1101070037",
			"data": 13.14,
			"endtime": "20201224192034",
			"funcid": 10101,
			"meter": "1001",
			"operation": "pointread/pointset",
			"receivetime": "20201224192034",
			"status": "finish:success",
			"virtual": false
		}
	],
	"receivetime": "20201224192034",
	"status": "finish:success"
}
```


# 异步控制


## 设置点位


**接口地址**:`/pointset/{building}/{meter}/{funcid}/{data}`


**请求方式**:`GET`


**请求数据类型**:`application/x-www-form-urlencoded`


**响应数据类型**:`*/*`


**接口描述**:


**请求参数**:


| 参数名称 | 参数说明          | 请求类型 | 是否必须 | 数据类型 | schema |
| -------- | ----------------- | -------- | -------- | -------- | ------ |
| building | 项目编码-10位数字 | path     | true     | string   |        |
| data     | 设定值            | path     | true     | string   |        |
| funcid   | 功能号            | path     | true     | string   |        |
| meter    | 仪表号            | path     | true     | string   |        |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


## 设置点位


**接口地址**:`/pointset_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "data": 13.14,
  "endtime": "20201224192034",
  "funcid": 10101,
  "meter": "1001",
  "operation": "pointread/pointset",
  "receivetime": "20201224192034",
  "status": "finish:success",
  "virtual": false
}
```


**请求参数**:


| 参数名称                | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型         | schema           |
| ----------------------- | ------------------------------------------------------------ | -------- | -------- | ---------------- | ---------------- |
| PointSetData            | 注意：参数和返回值共用此类                                   | body     | true     | 点位参数与返回值 | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string           |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number(double)   |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string           |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer(int32)   |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string           |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string           |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string           |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string           |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean          |                  |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 201    | Created      |                  |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


## 批量设置点位


**接口地址**:`/pointsetbatch_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "points": [
    {
      "building": "1101070037",
      "data": 13.14,
      "endtime": "20201224192034",
      "funcid": 10101,
      "meter": "1001",
      "operation": "pointread/pointset",
      "receivetime": "20201224192034",
      "status": "finish:success",
      "virtual": false
    }
  ],
  "receivetime": "20201224192034",
  "status": "finish:success"
}
```


**请求参数**:


| 参数名称                            | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型             | schema               |
| ----------------------------------- | ------------------------------------------------------------ | -------- | -------- | -------------------- | -------------------- |
| PointSetBatchParam                  | 注意：参数和返回值共用此类                                   | body     | true     | 批量点位参数与返回值 | 批量点位参数与返回值 |
| &emsp;&emsp;building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;points                  | 参数：点位数组                                               |          | false    | array                | 点位参数与返回值     |
| &emsp;&emsp;&emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number               |                      |
| &emsp;&emsp;&emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer              |                      |
| &emsp;&emsp;&emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean              |                      |
| &emsp;&emsp;receivetime             | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |


**响应状态**:


| 状态码 | 说明         | schema               |
| ------ | ------------ | -------------------- |
| 200    | OK           | 批量点位参数与返回值 |
| 201    | Created      |                      |
| 401    | Unauthorized |                      |
| 403    | Forbidden    |                      |
| 404    | Not Found    |                      |


**响应参数**:


| 参数名称                | 参数说明                                                     | 类型           | schema           |
| ----------------------- | ------------------------------------------------------------ | -------------- | ---------------- |
| building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| points                  | 参数：点位数组                                               | array          | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         | string         |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 | integer(int32) |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               | string         |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   | string         |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         | string         |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                  |
| receivetime             | 返回值：操作结束时间                                         | string         |                  |
| status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"points": [
		{
			"building": "1101070037",
			"data": 13.14,
			"endtime": "20201224192034",
			"funcid": 10101,
			"meter": "1001",
			"operation": "pointread/pointset",
			"receivetime": "20201224192034",
			"status": "finish:success",
			"virtual": false
		}
	],
	"receivetime": "20201224192034",
	"status": "finish:success"
}
```


## 批量查询控制结果


**接口地址**:`/pointsetresultbatch_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "points": [
    {
      "building": "1101070037",
      "data": 13.14,
      "endtime": "20201224192034",
      "funcid": 10101,
      "meter": "1001",
      "operation": "pointread/pointset",
      "receivetime": "20201224192034",
      "status": "finish:success",
      "virtual": false
    }
  ],
  "receivetime": "20201224192034",
  "status": "finish:success"
}
```


**请求参数**:


| 参数名称                            | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型             | schema               |
| ----------------------------------- | ------------------------------------------------------------ | -------- | -------- | -------------------- | -------------------- |
| PointSetBatchParam                  | 注意：参数和返回值共用此类                                   | body     | true     | 批量点位参数与返回值 | 批量点位参数与返回值 |
| &emsp;&emsp;building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;points                  | 参数：点位数组                                               |          | false    | array                | 点位参数与返回值     |
| &emsp;&emsp;&emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number               |                      |
| &emsp;&emsp;&emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer              |                      |
| &emsp;&emsp;&emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean              |                      |
| &emsp;&emsp;receivetime             | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |


**响应状态**:


| 状态码 | 说明         | schema               |
| ------ | ------------ | -------------------- |
| 200    | OK           | 批量点位参数与返回值 |
| 201    | Created      |                      |
| 401    | Unauthorized |                      |
| 403    | Forbidden    |                      |
| 404    | Not Found    |                      |


**响应参数**:


| 参数名称                | 参数说明                                                     | 类型           | schema           |
| ----------------------- | ------------------------------------------------------------ | -------------- | ---------------- |
| building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| points                  | 参数：点位数组                                               | array          | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         | string         |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 | integer(int32) |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               | string         |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   | string         |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         | string         |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                  |
| receivetime             | 返回值：操作结束时间                                         | string         |                  |
| status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"points": [
		{
			"building": "1101070037",
			"data": 13.14,
			"endtime": "20201224192034",
			"funcid": 10101,
			"meter": "1001",
			"operation": "pointread/pointset",
			"receivetime": "20201224192034",
			"status": "finish:success",
			"virtual": false
		}
	],
	"receivetime": "20201224192034",
	"status": "finish:success"
}
```


# 查询采集当前值


## 查询采集当前值


**接口地址**:`/presentreport/{building}/{meter}/{funcid}`


**请求方式**:`GET`


**请求数据类型**:`application/x-www-form-urlencoded`


**响应数据类型**:`*/*`


**接口描述**:


**请求参数**:


| 参数名称 | 参数说明          | 请求类型 | 是否必须 | 数据类型 | schema |
| -------- | ----------------- | -------- | -------- | -------- | ------ |
| building | 项目编码-10位数字 | path     | true     | string   |        |
| funcid   | 功能号            | path     | true     | string   |        |
| meter    | 仪表号            | path     | true     | string   |        |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


## 查询采集当前值


**接口地址**:`/presentreport_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "data": 13.14,
  "endtime": "20201224192034",
  "funcid": 10101,
  "meter": "1001",
  "operation": "pointread/pointset",
  "receivetime": "20201224192034",
  "status": "finish:success",
  "virtual": false
}
```


**请求参数**:


| 参数名称                | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型         | schema           |
| ----------------------- | ------------------------------------------------------------ | -------- | -------- | ---------------- | ---------------- |
| psp                     | 注意：参数和返回值共用此类                                   | body     | true     | 点位参数与返回值 | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string           |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number(double)   |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string           |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer(int32)   |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string           |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string           |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string           |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string           |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean          |                  |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 201    | Created      |                  |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


## 批量查询采集当前值


**接口地址**:`/presentreportbatch_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "points": [
    {
      "building": "1101070037",
      "data": 13.14,
      "endtime": "20201224192034",
      "funcid": 10101,
      "meter": "1001",
      "operation": "pointread/pointset",
      "receivetime": "20201224192034",
      "status": "finish:success",
      "virtual": false
    }
  ],
  "receivetime": "20201224192034",
  "status": "finish:success"
}
```


**请求参数**:


| 参数名称                            | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型             | schema               |
| ----------------------------------- | ------------------------------------------------------------ | -------- | -------- | -------------------- | -------------------- |
| PointSetBatchParam                  | 注意：参数和返回值共用此类                                   | body     | true     | 批量点位参数与返回值 | 批量点位参数与返回值 |
| &emsp;&emsp;building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;points                  | 参数：点位数组                                               |          | false    | array                | 点位参数与返回值     |
| &emsp;&emsp;&emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number               |                      |
| &emsp;&emsp;&emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer              |                      |
| &emsp;&emsp;&emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean              |                      |
| &emsp;&emsp;receivetime             | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |


**响应状态**:


| 状态码 | 说明         | schema               |
| ------ | ------------ | -------------------- |
| 200    | OK           | 批量点位参数与返回值 |
| 201    | Created      |                      |
| 401    | Unauthorized |                      |
| 403    | Forbidden    |                      |
| 404    | Not Found    |                      |


**响应参数**:


| 参数名称                | 参数说明                                                     | 类型           | schema           |
| ----------------------- | ------------------------------------------------------------ | -------------- | ---------------- |
| building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| points                  | 参数：点位数组                                               | array          | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         | string         |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 | integer(int32) |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               | string         |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   | string         |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         | string         |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                  |
| receivetime             | 返回值：操作结束时间                                         | string         |                  |
| status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"points": [
		{
			"building": "1101070037",
			"data": 13.14,
			"endtime": "20201224192034",
			"funcid": 10101,
			"meter": "1001",
			"operation": "pointread/pointset",
			"receivetime": "20201224192034",
			"status": "finish:success",
			"virtual": false
		}
	],
	"receivetime": "20201224192034",
	"status": "finish:success"
}
```


# 查询控制当前值


## 查询控制当前值


**接口地址**:`/presentset/{building}/{meter}/{funcid}`


**请求方式**:`GET`


**请求数据类型**:`application/x-www-form-urlencoded`


**响应数据类型**:`*/*`


**接口描述**:


**请求参数**:


| 参数名称 | 参数说明          | 请求类型 | 是否必须 | 数据类型 | schema |
| -------- | ----------------- | -------- | -------- | -------- | ------ |
| building | 项目编码-10位数字 | path     | true     | string   |        |
| funcid   | 功能号            | path     | true     | string   |        |
| meter    | 仪表号            | path     | true     | string   |        |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


## 查询控制当前值


**接口地址**:`/presentset_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "data": 13.14,
  "endtime": "20201224192034",
  "funcid": 10101,
  "meter": "1001",
  "operation": "pointread/pointset",
  "receivetime": "20201224192034",
  "status": "finish:success",
  "virtual": false
}
```


**请求参数**:


| 参数名称                | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型         | schema           |
| ----------------------- | ------------------------------------------------------------ | -------- | -------- | ---------------- | ---------------- |
| psp                     | 注意：参数和返回值共用此类                                   | body     | true     | 点位参数与返回值 | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string           |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number(double)   |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string           |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer(int32)   |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string           |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string           |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string           |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string           |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean          |                  |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 201    | Created      |                  |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


## 查询控制当前值


**接口地址**:`/presentsetbatch_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "points": [
    {
      "building": "1101070037",
      "data": 13.14,
      "endtime": "20201224192034",
      "funcid": 10101,
      "meter": "1001",
      "operation": "pointread/pointset",
      "receivetime": "20201224192034",
      "status": "finish:success",
      "virtual": false
    }
  ],
  "receivetime": "20201224192034",
  "status": "finish:success"
}
```


**请求参数**:


| 参数名称                            | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型             | schema               |
| ----------------------------------- | ------------------------------------------------------------ | -------- | -------- | -------------------- | -------------------- |
| PointSetBatchParam                  | 注意：参数和返回值共用此类                                   | body     | true     | 批量点位参数与返回值 | 批量点位参数与返回值 |
| &emsp;&emsp;building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;points                  | 参数：点位数组                                               |          | false    | array                | 点位参数与返回值     |
| &emsp;&emsp;&emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number               |                      |
| &emsp;&emsp;&emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer              |                      |
| &emsp;&emsp;&emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean              |                      |
| &emsp;&emsp;receivetime             | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |


**响应状态**:


| 状态码 | 说明         | schema               |
| ------ | ------------ | -------------------- |
| 200    | OK           | 批量点位参数与返回值 |
| 201    | Created      |                      |
| 401    | Unauthorized |                      |
| 403    | Forbidden    |                      |
| 404    | Not Found    |                      |


**响应参数**:


| 参数名称                | 参数说明                                                     | 类型           | schema           |
| ----------------------- | ------------------------------------------------------------ | -------------- | ---------------- |
| building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| points                  | 参数：点位数组                                               | array          | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         | string         |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 | integer(int32) |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               | string         |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   | string         |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         | string         |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                  |
| receivetime             | 返回值：操作结束时间                                         | string         |                  |
| status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"points": [
		{
			"building": "1101070037",
			"data": 13.14,
			"endtime": "20201224192034",
			"funcid": 10101,
			"meter": "1001",
			"operation": "pointread/pointset",
			"receivetime": "20201224192034",
			"status": "finish:success",
			"virtual": false
		}
	],
	"receivetime": "20201224192034",
	"status": "finish:success"
}
```


# 同步采集


## 读取点位


**接口地址**:`/sync_pointread/{building}/{meter}/{funcid}`


**请求方式**:`GET`


**请求数据类型**:`application/x-www-form-urlencoded`


**响应数据类型**:`*/*`


**接口描述**:


**请求参数**:


| 参数名称 | 参数说明          | 请求类型 | 是否必须 | 数据类型 | schema |
| -------- | ----------------- | -------- | -------- | -------- | ------ |
| building | 项目编码-10位数字 | path     | true     | string   |        |
| funcid   | 功能号            | path     | true     | string   |        |
| meter    | 仪表号            | path     | true     | string   |        |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


## 读取点位


**接口地址**:`/sync_pointread_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "data": 13.14,
  "endtime": "20201224192034",
  "funcid": 10101,
  "meter": "1001",
  "operation": "pointread/pointset",
  "receivetime": "20201224192034",
  "status": "finish:success",
  "virtual": false
}
```


**请求参数**:


| 参数名称                | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型         | schema           |
| ----------------------- | ------------------------------------------------------------ | -------- | -------- | ---------------- | ---------------- |
| PointSetData            | 注意：参数和返回值共用此类                                   | body     | true     | 点位参数与返回值 | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string           |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number(double)   |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string           |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer(int32)   |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string           |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string           |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string           |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string           |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean          |                  |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 201    | Created      |                  |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


## 批量读取点位


**接口地址**:`/sync_pointreadbatch_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "points": [
    {
      "building": "1101070037",
      "data": 13.14,
      "endtime": "20201224192034",
      "funcid": 10101,
      "meter": "1001",
      "operation": "pointread/pointset",
      "receivetime": "20201224192034",
      "status": "finish:success",
      "virtual": false
    }
  ],
  "receivetime": "20201224192034",
  "status": "finish:success"
}
```


**请求参数**:


| 参数名称                            | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型             | schema               |
| ----------------------------------- | ------------------------------------------------------------ | -------- | -------- | -------------------- | -------------------- |
| PointSetBatchParam                  | 注意：参数和返回值共用此类                                   | body     | true     | 批量点位参数与返回值 | 批量点位参数与返回值 |
| &emsp;&emsp;building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;points                  | 参数：点位数组                                               |          | false    | array                | 点位参数与返回值     |
| &emsp;&emsp;&emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number               |                      |
| &emsp;&emsp;&emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer              |                      |
| &emsp;&emsp;&emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean              |                      |
| &emsp;&emsp;receivetime             | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |


**响应状态**:


| 状态码 | 说明         | schema               |
| ------ | ------------ | -------------------- |
| 200    | OK           | 批量点位参数与返回值 |
| 201    | Created      |                      |
| 401    | Unauthorized |                      |
| 403    | Forbidden    |                      |
| 404    | Not Found    |                      |


**响应参数**:


| 参数名称                | 参数说明                                                     | 类型           | schema           |
| ----------------------- | ------------------------------------------------------------ | -------------- | ---------------- |
| building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| points                  | 参数：点位数组                                               | array          | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         | string         |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 | integer(int32) |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               | string         |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   | string         |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         | string         |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                  |
| receivetime             | 返回值：操作结束时间                                         | string         |                  |
| status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"points": [
		{
			"building": "1101070037",
			"data": 13.14,
			"endtime": "20201224192034",
			"funcid": 10101,
			"meter": "1001",
			"operation": "pointread/pointset",
			"receivetime": "20201224192034",
			"status": "finish:success",
			"virtual": false
		}
	],
	"receivetime": "20201224192034",
	"status": "finish:success"
}
```


# 同步控制


## 设置点位


**接口地址**:`/sync_pointset/{building}/{meter}/{funcid}/{data}`


**请求方式**:`GET`


**请求数据类型**:`application/x-www-form-urlencoded`


**响应数据类型**:`*/*`


**接口描述**:


**请求参数**:


| 参数名称 | 参数说明          | 请求类型 | 是否必须 | 数据类型 | schema |
| -------- | ----------------- | -------- | -------- | -------- | ------ |
| building | 项目编码-10位数字 | path     | true     | string   |        |
| data     | 设定值            | path     | true     | string   |        |
| funcid   | 功能号            | path     | true     | string   |        |
| meter    | 仪表号            | path     | true     | string   |        |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


## 设置点位


**接口地址**:`/sync_pointset_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "data": 13.14,
  "endtime": "20201224192034",
  "funcid": 10101,
  "meter": "1001",
  "operation": "pointread/pointset",
  "receivetime": "20201224192034",
  "status": "finish:success",
  "virtual": false
}
```


**请求参数**:


| 参数名称                | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型         | schema           |
| ----------------------- | ------------------------------------------------------------ | -------- | -------- | ---------------- | ---------------- |
| PointSetData            | 注意：参数和返回值共用此类                                   | body     | true     | 点位参数与返回值 | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string           |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number(double)   |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string           |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer(int32)   |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string           |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string           |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string           |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string           |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean          |                  |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 201    | Created      |                  |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


## 批量设置点位


**接口地址**:`/sync_pointsetbatch_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "points": [
    {
      "building": "1101070037",
      "data": 13.14,
      "endtime": "20201224192034",
      "funcid": 10101,
      "meter": "1001",
      "operation": "pointread/pointset",
      "receivetime": "20201224192034",
      "status": "finish:success",
      "virtual": false
    }
  ],
  "receivetime": "20201224192034",
  "status": "finish:success"
}
```


**请求参数**:


| 参数名称                            | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型             | schema               |
| ----------------------------------- | ------------------------------------------------------------ | -------- | -------- | -------------------- | -------------------- |
| PointSetBatchParam                  | 注意：参数和返回值共用此类                                   | body     | true     | 批量点位参数与返回值 | 批量点位参数与返回值 |
| &emsp;&emsp;building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;points                  | 参数：点位数组                                               |          | false    | array                | 点位参数与返回值     |
| &emsp;&emsp;&emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number               |                      |
| &emsp;&emsp;&emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer              |                      |
| &emsp;&emsp;&emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean              |                      |
| &emsp;&emsp;receivetime             | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |


**响应状态**:


| 状态码 | 说明         | schema               |
| ------ | ------------ | -------------------- |
| 200    | OK           | 批量点位参数与返回值 |
| 201    | Created      |                      |
| 401    | Unauthorized |                      |
| 403    | Forbidden    |                      |
| 404    | Not Found    |                      |


**响应参数**:


| 参数名称                | 参数说明                                                     | 类型           | schema           |
| ----------------------- | ------------------------------------------------------------ | -------------- | ---------------- |
| building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| points                  | 参数：点位数组                                               | array          | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         | string         |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 | integer(int32) |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               | string         |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   | string         |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         | string         |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                  |
| receivetime             | 返回值：操作结束时间                                         | string         |                  |
| status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"points": [
		{
			"building": "1101070037",
			"data": 13.14,
			"endtime": "20201224192034",
			"funcid": 10101,
			"meter": "1001",
			"operation": "pointread/pointset",
			"receivetime": "20201224192034",
			"status": "finish:success",
			"virtual": false
		}
	],
	"receivetime": "20201224192034",
	"status": "finish:success"
}
```









